Skip to main content
GET
/
payment-links
/
{code}
Retrieve Payment Link
curl --request GET \
  --url https://api-sandbox.y.uno/v1/payment-links/{code} \
  --header 'private-secret-key: <api-key>' \
  --header 'public-api-key: <api-key>'
"{\n    \"code\": \"aace3f6d-e26d-45d0-9a4f-66523909ddf9\",\n    \"country\": \"US\",\n    \"availability\": {\n        \"start_at\": \"2023-01-15T14:00:12Z\",\n        \"finish_at\": \"2023-10-29T14:00:12Z\"\n    },\n    \"status\": \"CREATED\",\n    \"description\": \"PRUEBA PAYMENT LINK 10/07\",\n    \"amount\": {\n        \"currency\": \"USD\",\n        \"value\": 5000\n    },\n    \"metadata\": [\n        {\n            \"key\": \"some key\",\n            \"value\": \"some value\"\n        }\n    ],\n    \"split_payment_methods\": false,\n    \"payment_method_types\": [\n        \"PSE\"\n    ],\n    \"one_time_use\": true,\n    \"callback_url\": \"https://checkout.sandbox.y.uno/payment/status\",\n    \"installments_plan\": null,\n    \"customer_payer\": null,\n    \"taxes\": null,\n    \"additional_data\": {\n        \"airline\": null,\n        \"order\": null,\n        \"seller_details\": null\n    },\n    \"organization_code\": \"b887a970-9722-44fe-ab17-106bf1b93577\",\n    \"account_code\": \"8147da44-4de9-48ff-a194-51b2cd7d2a03\",\n    \"checkout_url\": \"https://checkout.sandbox.y.uno/payment?session=ac63a0d7-b2d7-4e72-9062-2e2e3a448359\",\n    \"payments_number\": 0,\n    \"merchant_image\": \"\"\n}\n"

Authorizations

public-api-key
string
header
default:<Your public-api-key>
required
private-secret-key
string
header
default:<Your private-secret-key>
required

Path Parameters

code
string
required

The code of the payment link (UUID, 36 chars).

Response

200

code
string
Example:

"aace3f6d-e26d-45d0-9a4f-66523909ddf9"

country
string
Example:

"US"

availability
object
status
string
Example:

"CREATED"

description
string
Example:

"PRUEBA PAYMENT LINK 10/07"

amount
object
metadata
object[]
split_payment_methods
boolean
default:true
Example:

false

payment_method_types
string[]
one_time_use
boolean
default:true
Example:

true

callback_url
string
Example:

"https://checkout.sandbox.y.uno/payment/status"

installments_plan
any
customer_payer
any
taxes
any
additional_data
object
organization_code
string
Example:

"b887a970-9722-44fe-ab17-106bf1b93577"

account_code
string
Example:

"8147da44-4de9-48ff-a194-51b2cd7d2a03"

checkout_url
string
Example:

"https://checkout.sandbox.y.uno/payment?session=ac63a0d7-b2d7-4e72-9062-2e2e3a448359"

payments_number
integer
default:0
Example:

0

merchant_image
string
Example:

""